org.eclipse.graphiti.func

## Class Proposal

- java.lang.Object
- - org.eclipse.graphiti.func.Proposal

All Implemented Interfaces:
  IProposal

    public class Proposal
    extends java.lang.Object
    implements IProposal

### Constructor Summary

Constructors
Constructor and Description
`Proposal(java.lang.String text)`
`Proposal(java.lang.String text, java.lang.Object object)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Object` `getObject()`
`java.lang.String` `getText()`
`static java.lang.String[]` `proposalsToTexts(IProposal[] proposals)`
`void` `setObject(java.lang.Object object)`
`void` `setText(java.lang.String text)`
`static Proposal[]` `textsToProposals(java.lang.String[] texts)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Proposal

    public Proposal(java.lang.String text)

#### Proposal

    public Proposal(java.lang.String text,
                    java.lang.Object object)

### Method Detail

#### getObject

    public java.lang.Object getObject()

Specified by:
  `getObject` in interface `IProposal`

#### getText

    public java.lang.String getText()

Specified by:
  `getText` in interface `IProposal`

#### setObject

    public void setObject(java.lang.Object object)

#### setText

    public void setText(java.lang.String text)

#### textsToProposals

    public static Proposal[] textsToProposals(java.lang.String[] texts)

#### proposalsToTexts

    public static java.lang.String[] proposalsToTexts(IProposal[] proposals)